<?php
function print_offers()
{
	$all=fnc_get_offers();
	//dprint_r($all);
	print_products_table($all);
}

function fnc_getcontents_config()
{
	global $_FN;
	$table = new FieldForm("fndatabase", "fnc_contents", $_FN['datadir'],$_FN['lang'],$_FN['languages']);
	$all = $table->xmltable->GetRecords();
	$title=_CATALOGO;
	$text="";
	if (is_array($all) && isset($all[0]['title']))
	{
		$contents=$table->GetRecordTranslated($all[0]);
		$text=$contents['text'];
		$title=$contents['title']=="" ? _CATALOGO : $contents['title'];
	}
	$ret=array("text"=>$text,"title"=>$title);
	//dprint_r($ret);
	return $ret;
}


/**
 * navigazione tra le categorie
 * 
 */
function print_navigation()
{
	global $_FN;
	
	$cat = getparam("cat", PAR_GET, SAN_HTML);
	$mode = getparam("mode", PAR_GET, SAN_HTML);
	
	echo html_cart();
//"<div style=\"text-align:right;\"><a href=\"?mod={$_FN['mod']}&amp;op=showcart\">" . _MYCART . " (".fnc_get_cart_count().")</a></div>";
	//-------------layout navigazione categorie---------->
	echo "<table width=\"100%\" border=\"0\">";
	echo "<tr>";
	echo "<td colspan=\"2\">";
	echo html_category_path($cat);
	if ($_FN['show_ranges']!="")
		echo html_range($_FN['show_ranges']);
	echo "</td>";
	echo "<td>";
	echo "<tr>";
	if ($_FN['show_categories_tree_check']==1 || $_FN['show_categories_tree']==1)
	{
		echo "<td  valign=\"top\" width=\"180\">";
		
		if ($_FN['show_categories_tree_check']==1)
		{
			if ($cat!="" && $mode=="")
				$_GET["cat_$cat"]="1";
			print_categories_tree_check();
		}
		if ($_FN['show_categories_tree']==1)
		{	
			print_categories_tree();
		}
		echo "</td>";
	}
	echo "<td valign=\"top\">";
	//messaggio introduttivo ---->
	if ($cat=="" )
	{
		$t=fnc_getcontents_config();
		$t=$t['text'];
		echo "$t";
	}
	//messaggio introduttivo ----<
	print_results();
	echo "</td>";	
	echo "</tr>";
	echo "</table>";
	//-------------layout navigazione categorie----------<
	
	if ($_FN['user'] != '' && fnc_have_orders($_FN['user'] ))
	{
		echo "<br /><a href=\"?mod={$_FN['mod']}&amp;op=orderstatus\">" . _ORDINI . "</a>";
	}

}

/**
 * fnc_pages.php created on 03/feb/2009
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */


function print_results()
{
	global $_FNC,$_FN;
	//$_FN['fnc_sort_product']="name";
	if (!isset($_FN['fnc_sort_product']) || $_FN['fnc_sort_product']=="")
		$_FN['fnc_sort_product']="sort_order";
	
	$cat = getparam("cat", PAR_GET, SAN_FLAT);
	$mode = getparam("mode", PAR_GET, SAN_FLAT);
	
	$filters=array();
	if ($_FN['show_categories_tree_check']=="1")
	{
		
		$endres=false;
		$all=false;
		$allcats = $_FNC['categories'];
		if ($cat!="" )
		{
			$_GET["cat_$cat"]="1";
		}
		foreach ($allcats as $category)
		{
			$filter = getparam("cat_{$category['unirecid']}", PAR_GET, SAN_FLAT);
			if ($filter==1)
				$filters[]=$category['unirecid'];
		}
		foreach ($filters as $filter)
		{
			$ranges=fnc_get_range_restrictions();
			$res = fnc_getproductsbycategory($filter,$ranges);
			if ($all !== false)
			{
				$all=array_intersect_key($all,$res);
			}
			else
				$all = $res;
		}
		
	}
	else
	{
		$all = fnc_getproductsbycategory($cat); 
	}
	if ($mode=="" || count($filters)==0)
		print_subcategories($cat);
	if (is_array($all))
		$all=array_sort_by_key($all,$_FN['fnc_sort_product']);
	print_products_table($all);

}
/**
 * 
 * 
 */
function html_orderstatus($idorder)
{
	$ordervalues = fnc_get_order($idorder);
	//dprint_r($ordervalues);
	$ret= "<h3>"._FNC_MYORDER.":</h3>";
	$ret.= _VARIE_NUMERO_ORDINE.": $idorder";
	$ret.= "<p>" . _STATO_ORDINE .": ".fnc_translate_orderstatus($ordervalues['orderstatus'])."</p>";
	$ret.= "<em>".str_replace("\n","<br />",$ordervalues['address'])."</em><br />";
	$ret.= "<b>".fn_i18n("Delivery_address").":</b><br />";
	$ret.= "<em>".str_replace("\n","<br />",$ordervalues['shippingaddress'])."</em><br />";
	
	$ret.= _VARIE_DETTAGLIO_ORDINE.":".fnc_get_ordercost_details($ordervalues);

	if ($ordervalues['orderstatus'] == "opened")
		if (isset ($ordervalues['payments']) && $ordervalues['payments']!="" && file_exists("fncommerce/modules/payments/{$ordervalues['payments']}/module.php"))
		{
			require_once ("fncommerce/modules/payments/{$ordervalues['payments']}/module.php");
			$classname="fnc_payments_{$ordervalues['payments']}";
			$payment = new $classname($ordervalues);
			$ret.= $payment->do_payment();
		}

	if (isset ($ordervalues['shippingmethods']) && $ordervalues['shippingmethods']!="" && file_exists("fncommerce/modules/shippingmethods/{$ordervalues['shippingmethods']}/module.php"))
	{
		require_once ("fncommerce/modules/shippingmethods/{$ordervalues['shippingmethods']}/module.php");
		$classname="fnc_shippingmethods_{$ordervalues['shippingmethods']}";
		$shippingmethod = new $classname($ordervalues);
		$ret.= $shippingmethod->get_orderstatus();
	}
		
	//dprint_r($ordervalues);
	return $ret;
}

/**
 * 
 * 
 */
function print_orders($user)
{
	global $_FN;
	$orders = fnc_get_orders(array (
		"username" => $user
	));
	echo "<h2>"._ORDINI."</h2>";
	if (is_array($orders) && count($orders) > 0)
	{
		echo "<table border=\"1\" cellpadding=\"2\" cellspacing=\"2\">";
		foreach ($orders as $ordervalues)
		{
			echo "<tr>";
			echo "<td>";
			echo $ordervalues['unirecid'];
			echo "</td>";
			echo "<td>";
			echo ($ordervalues['time']);
			echo "</td>";
			echo "<td>";
			echo fnc_translate_orderstatus($ordervalues['orderstatus']);
			echo "</td>";
			echo "<td style=\"text-align:right\">";
			echo fnc_format_price($ordervalues['total']);
			echo "</td>";
			echo "<td>";
			echo "<a href=\"?mod={$_FN['mod']}&amp;op=orderstatus&amp;orderid={$ordervalues['unirecid']}\">" . _STATO_ORDINE . "</a>";
			echo "</td>";
			echo "</tr>";
		}
		echo "</table>";
	}
	else
		echo _FNC_NOORDERS;
	echo "<br /><br /><br /><a href=\"?mod={$_FN['mod']}\">"._RETURNSHOPPING."</a>";
	echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/forward.png")."\" alt=\"\" title=\""._RETURNSHOPPING."\" />";
	
	//dprint_r($orders);
}

/**
 * salvataggio ordine
 * 
 */
function print_saveorder()
{
	global $_FN;
	if ($_FN['user'] != '')
	{
		$table = new FieldForm("fndatabase", "fnc_conditions", $_FN['datadir']);
		$all = $table->xmltable->GetRecords(false,false,false,"sort_order");
		//echo "<br /><br /><form method=\"post\" action=\"?mod={$_FN['mod']}&amp;op=saveorder\">";
		if (is_array($all) && count ($all)>0)
		{
			foreach ($all as $item)
			{
				if (!isset($_POST['conditions'.$item['unirecid']]))
				{
					jsalert(_CONDITIONSCONFIRM)."";
					jsredirect("?mod={$_FN['mod']}&op=confirmorder");
					echo _CONDITIONSCONFIRM."<br /><br /><a href=\"?{$_FN['mod']}&amp;op=confirmorder\">"._INDIETRO."</a>";
					return;				
				}
			}
		}
		$orderstatus = fnc_get_order_temp();
		//dprint_r($orderstatus);
		//echo html_orderstatus($newstate['unirecid']);
		//die();
		
		if (isset ($orderstatus['cart']))
		{
			//--setto l' ordine ad aperto
			$orderstatus['orderstatus'] = "opened";
			$add = fnc_get_shipping_values_string($_FN['user']);
			$add = explode ("{Delivery_address}",$add);
			$orderstatus['address'] = "{$add[0]}";
			$orderstatus['shippingaddress'] = "{$add[0]}";
			if (isset ($add[1]))
			{
				$orderstatus['shippingaddress'] = "{$add[1]}";
			}
			
			//dprint_r($orderstatus);

			//salva su db --->
			$newstate = fnc_save_order_status($orderstatus);
			//salva su db ---<

			//---invia stao dell'ordine--->
			fnc_send_confirm($newstate);
			//---invia stao dell'ordine---<


			//---chiama l' evento del modulo--->
			if (isset($newstate['costs']))
				foreach ($newstate['costs'] as $key=>$v)
				{
					if (isset($newstate[$key]))
					{
						$classname="fnc_$key"."_{$newstate[$key]}";
						require_once ("fncommerce/modules/$key/{$newstate[$key]}/module.php");
						$class=new $classname($newstate);
						if (method_exists($class,"on_order_confirm"))
							$class->on_order_confirm($newstate);
					}
				}
			//---chiama l' evento del modulo---<
			
			//elimina ordine temporaneo --->
			fnc_clear_order_temp();
			//elimina ordine temporaneo ---<
			jsalert(_FNC_ENDORDER);
			//echo "<b>"._FNC_ENDORDER."</b>";
			echo html_orderstatus($newstate['unirecid']);
			echo "<div><b>"._FNC_ENDORDERTHANKS."</b></div>";
			
		}
		echo "<br /><button onclick=\"window.location='?mod={$_FN['mod']}&op=orderstatus'\">" . _FNC_VIEWORDERS . "</button>";
		
	}

	//dprint_r($newstate);
}



/**
 * schermata riassuntiva 
 * per conferma ordine
 * 
 * 
 */
function print_confirm()
{
	global $_FN;
	$orderstatus = fnc_get_order_temp();
	$orderstatus['username']=$_FN['user'];
	$cart = fnc_get_cart();
	echo "<form method=\"post\" action=\"?mod={$_FN['mod']}&amp;op=saveorder\">";
	echo "<input type=\"submit\" value=\"" . _VARIE_CONFERMA_ORDINE . "  &gt;&gt;\" /><br />";
	echo "<table width=\"100%\" border=\"0\">";
	echo "<tr>";
	echo "<td valign=\"top\" >";	
	echo "<b>"._FNC_MYORDER.":</b>";
	$orderstatus = fnc_calculate_order_cost($orderstatus);
	echo fnc_get_ordercost_details($orderstatus);
	echo "&nbsp;<a href=\"?mod={$_FN['mod']}&amp;op=showcart\">[" . _MODIFICA . "]</a>";
	$orderstatus = fnc_save_order_temp($orderstatus);
	echo "</td>";	
	echo "<td valign=\"top\">";	


	//-------riassunto steps scelti ------>
	$steps=fnc_get_order_steps();
	foreach ($steps as $step)
	{
		if (isset($orderstatus[$step]))
		{
			$tmp = str_replace("_", " ", $step);
			$title = getLang("fncommerce/modules/$step/lang.xml", $tmp);
			echo "<b>" . $title . ":</b><br />";
			require_once ("fncommerce/modules/$step/{$orderstatus[$step]}/module.php");
			$classname="fnc_{$step}_{$orderstatus[$step]}";
			$payment = new $classname($orderstatus);
			echo $payment->title();
			$des=$payment->description();
			if ($des!="")
			{
				echo "<br />";
				echo "<em>";
				echo $des;
				echo "</em>";
			}
			echo "<br /><a href=\"?mod={$_FN['mod']}&amp;op=ordersteps&amp;orderstep=$step\">[" . _MODIFICA . "]</a><br /><br />";
		}
	}
	//-------riassunto steps scelti ------<

	echo "</td>";	
	echo "<td valign=\"top\">";	
	echo "<b>"._FNC_USERDATA.":</b><br />";
	$shippingvalues = fnc_get_shipping_values($orderstatus['username']);
	$shippingvalues = $shippingvalues[0];
	print_shipping_values($shippingvalues);
	echo "<a href=\"?mod={$_FN['mod']}&amp;op=shipping\">[" . _MODIFICA . "]</a>";
	echo "</td>";	
	//echo "<td valign=\"top\"><input type=\"submit\" value=\"" . _VARIE_CONFERMA_ORDINE . " &gt;&gt;\" /></td>";
	
	//dprint_r($orderstatus);
	//------condizioni di vendita------->
	$table = new FieldForm("fndatabase", "fnc_conditions", $_FN['datadir'],$_FN['lang']);
	$all = $table->xmltable->GetRecords(false,false,false,"sort_order");
	if (is_array($all) && count ($all)>0)
	{
		echo "<tr><td colspan=\"3\" style=\"text-align:left\">";
		
		foreach ($all as $item)
		{
			$item=$table->GetRecordTranslated(array("unirecid"=>$item['unirecid']));
			echo "<br /><b>".$item['title'].":</b>&nbsp;&nbsp;<input style=\"vertical-align:middle\" name=\"conditions{$item['unirecid']}\" type=\"checkbox\" />"._ACCEPT."<br /><div style=\"border:1px inset;height:100px;overflow:auto\" >{$item['text']}</div>";
			//echo "<br /><input name=\"conditions{$item['unirecid']}\" type=\"checkbox\" />"._ACCEPT."<br />";
		}
		echo "</td></tr>";	
	}
	//------condizioni di vendita-------<

	echo "<tr><td colspan=\"3\" style=\"text-align:left\">";
	echo "<br /><input type=\"submit\" value=\"" . _VARIE_CONFERMA_ORDINE . " &gt;&gt;\" />";
	echo "</td></tr>";	
	echo "</table>";
	echo "</form>";

}
/**
 * visualizza il carrello
 * 
 */
function print_cart_2()
{
	global $_FN;
	$op = getparam("op", PAR_GET, SAN_HTML);
	$cart = fnc_get_cart();
	echo "<h3>"._VARIE_DETTAGLIO_CARRELLO . ":</h3>";
	if (is_array($cart) && count($cart) > 0)
	{
		echo "<table width=\"100%\" border=\"0\">";
		echo "<tr><td colspan=\"2\">&nbsp;</td><td><b>" . _VARIE_QUANTITA . "</b></td><td style=\"text-align:right\"><b>" . _VARIE_PREZZO . "</b></td></tr>";
		$i = 0;
		$total = 0;
		foreach ($cart as $item)
		{
			$prod = fnc_getproduct($item['pid']);
			if (isset($prod['name']))
			{
				echo "<tr>";
				echo "<td width=\"100\" style=\"text-align:center\">";


				if ($prod['photo1'] != "")
					if (file_exists("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg"))
						echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"80\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg\" /></a>";
					else
						echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"80\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
				else
					echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"100\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
				
				
				
				echo "</td>";
				echo "<td>" . $prod['name'] . "</td>";
				echo "<td><form id=\"fncart$i\" method=\"post\" action=\"?mod={$_FN['mod']}&amp;op=setcart&amp;p={$prod['unirecid']}\">";
				echo "<input name=\"qta\" size=\"5\" onchange=\"document.getElementById('fncart$i').submit()\" value=\"" . $item['qta'] . "\" />";
				echo "&nbsp;&nbsp;";
				echo "<a href=\"?op=$op&amp;mod={$_FN['mod']}&amp;addtocart={$item['pid']}&amp;qta=0\">";
				echo "<img style=\"vertical-align:middle;border:0px;\" src=\"".fromtheme("images/delete.png")."\" alt=\""._FNC_REMOVEFROMCART."\" title=\""._FNC_REMOVEFROMCART."\"/>";
				echo "</a>";
				
				echo "</form></td>";
				echo "<td style=\"text-align:right\">" . fnc_format_price($item['qta']*$prod['price']) . "</td>";
				echo "</tr>";
				$total += ($item['qta']*$prod['price']);
			}
			$i++;
		}
		echo "<tr><td colspan=\"3\"></td><td  style=\"text-align:right\">" . fnc_format_price($total) . "</tr>";
		echo "</table>";
		echo "<br /><img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/up.png")."\" alt=\"\" title=\""._SHIPPING."\" />&nbsp;&nbsp;";
		
		echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=shipping")."\">" . _SHIPPING . "</a>&nbsp;|&nbsp;";

	}
	else
	{
		echo _VARIE_CARRELLO_VUOTO."<br /><br />";
	}
	echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}")."\">" . _RETURNSHOPPING . "</a>";
	echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/forward.png")."\" alt=\"\" title=\""._RETURNSHOPPING."\" />";

}




/**
 * visualizza il carrello
 * 
 */
function print_cart()
{
	global $_FN;
	$op = getparam("op", PAR_GET, SAN_HTML);
	$cart = fnc_get_cart();
	echo "<h3>"._VARIE_DETTAGLIO_CARRELLO . ":</h3>";
	echo "<form id=\"shoppingcartform\" method=\"get\" action=\"?mod={$_FN['mod']}&amp;op=setcart\">";
	if (is_array($cart) && count($cart) > 0)
	{
		echo "<table width=\"100%\" border=\"0\">";
		echo "<tr><td colspan=\"2\">&nbsp;</td><td><b>" . _VARIE_QUANTITA . "</b></td><td style=\"text-align:right\"><b>" . _VARIE_PREZZO . "</b></td></tr>";
		$i = 0;
		$total = 0;
		foreach ($cart as $item)
		{
			$prod = fnc_getproduct($item['pid']);
			if (isset($prod['name']))
			{
				echo "<tr>";
				echo "<td width=\"100\" style=\"text-align:center\">";


				if ($prod['photo1'] != "")
				
					if (file_exists("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg"))
					{
						if (isset($_FN['fnc_nothumbs']) && $_FN['fnc_nothumbs']=="1")
							echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"80\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/{$prod['photo1']}\" /></a>";
						else
							echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"80\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg\" /></a>";
					
					
					}else
						echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"80\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
				else
					echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img width=\"100\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
				
				
				
				echo "</td>";
				echo "<td>" . $prod['name'] . "</td>";
				echo "<td>";
				echo "<input name=\"qta{$prod['unirecid']}\" onchange=\"document.getElementById('shoppingcartform').submit()\"  size=\"5\" value=\"" . $item['qta'] . "\" />";
				echo "&nbsp;&nbsp;";
				echo "<a href=\"".fn_rewritelink("?op=$op&amp;mod={$_FN['mod']}&amp;addtocart={$item['pid']}&amp;qta=0")."\">";
				echo "<img style=\"vertical-align:middle;border:0px;\" src=\"".fromtheme("images/delete.png")."\" alt=\""._FNC_REMOVEFROMCART."\" title=\""._FNC_REMOVEFROMCART."\"/>";
				echo "</a>";
				
				echo "</td>";
				echo "<td style=\"text-align:right\">" . fnc_format_price($item['qta']*$prod['price']) . "</td>";
				echo "</tr>";
				$total += ($item['qta']*$prod['price']);
			}
			$i++;
		}
		echo "<tr><td colspan=\"3\" style=\"text-align:right\"><b>"._FNC_TOTALE.":</b></td><td  style=\"text-align:right\">" . fnc_format_price($total) . "</td></tr>";
		echo "</table>";
		echo "<br />";
		echo "<input type=\"hidden\" name=\"mod\" value=\"{$_FN['mod']}\"/>";
		echo "<input type=\"hidden\" name=\"op\" value=\"setcart\"/>";
		
/*		echo "<button type=\"submit\" name=\"op\" value=\"shipping\" ><img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/up.png")."\"  title=\""._SHIPPING."\" />&nbsp;&nbsp;";
		echo  _SHIPPING . "</button>";
		echo "&nbsp;&nbsp;";
		echo "<button type=\"submit\" name=\"op\" value=\"\" ><img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/forward.png")."\"  title=\""._RETURNSHOPPING."\" />&nbsp;&nbsp;";
*/
		echo "<input type=\"submit\" name=\"op\" value=\""._SHIPPING."\" />";
		echo "&nbsp;&nbsp;";
		echo "<input type=\"submit\" name=\"op\" value=\""._RETURNSHOPPING."\" />";
		echo "</form>";
	}
	else
	{
		echo _VARIE_CARRELLO_VUOTO."<br /><br />";
		echo "<a href=\"?mod={$_FN['mod']}\">" . _RETURNSHOPPING . "</a>";
		echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/forward.png")."\" alt=\"\" title=\""._RETURNSHOPPING."\" />";
	}

}

/**
 * visualizza indirizzo di spedizione e/o fatturazione
 * 
 * @param array valori 
 */
function print_shipping_values($shippingvalues)
{
	global $_FN;
	echo fnc_get_shipping_values_htmlstring($shippingvalues['username']);
	return;
	$fields = new FieldForm("fndatabase", "fnc_users", $_FN['datadir']);
	$uservalues = $fields->xmltable->GetRecords(array (
		"username" => $shippingvalues['username']
	));
	$uservalues = $uservalues['0'];
	$ret = "";
	foreach ($fields->formvals as $key => $value)
	{
		if (isset ($value['frm_show']) && $value['frm_show'] != "1")
			continue;

		if (isset($fields->formvals[$key]['frm_group']))
		{
			$ret .= "<h3>" .htmlspecialchars($fields->formvals[$key]['frm_group']) . ":</h3>";
		}
		else
		{
			if ($uservalues[$key] != "")
				$ret .= "<b>" . htmlspecialchars($value['title']) . "</b>: " . $uservalues[$key] . "<br />";
			else
				$ret .= "<b>" . htmlspecialchars($value['title']) . "</b>: -<br />";
		}
	}
	echo $ret;
}

/**
 * 
 * 
 */
function print_current_order_step($step)
{
	global $_FN;
	$list_modules_in_this_step = fnc_get_modules_in_step($step);	
	$op = getparam("op", PAR_GET, SAN_FLAT);
	$step_option_selected = getparam("$step", PAR_POST, SAN_FLAT);
	$orderstatus = fnc_get_order_temp();
	if ($step=="" || !file_exists("fncommerce/modules/$step"))
		return print_navigation();
	//---------titolo step------------->
	$tmp = str_replace("_", " ", $step);
	$title = getLang("fncommerce/modules/$step/lang.xml", $tmp);
	echo "<h3>".$title.":</h3><br />";
	//---------titolo step-------------<
	
	
	if ($step_option_selected != "")
	{
		$orderstatus['username'] = $_FN['user'];
		$orderstatus['cart'] = fnc_get_cart();
		$orderstatus[$step] = $step_option_selected;
		if (!isset ($orderstatus['costs']))
			$orderstatus['costs'] = array ();


		require_once ("fncommerce/modules/$step/$step_option_selected/module.php");
		$classname="fnc_$step"."_".$step_option_selected;
		$stepclass = new $classname($orderstatus);
		$orderstatus = $stepclass->get_total();
		fnc_save_order_temp($orderstatus);
		fnc_save_order_temp($orderstatus);
		$nextstep=fnc_get_next_order_step("$step");
		jsredirect("index.php?mod={$_FN['vmod']}&op=ordersteps&orderstep=$nextstep");
		//dprint_r($orderstatus);
		
		return;
	}

	$old = fnc_get_order_temp();
	if (isset ($old[$step]))
		$old = $old[$step];
	echo "<form method=\"post\" action=\"?mod={$_FN['vmod']}&amp;orderstep=$step&amp;op=$op\" >";

	foreach ($list_modules_in_this_step as $payment)
	{
		//---------------visializzazione opzione ----------------->
		$sid = $payment;
		if ($sid!="")
		{
			require_once ("fncommerce/modules/$step/$sid/module.php");
			$classname="fnc_$step"."_$sid";
			$stepclass = new $classname($orderstatus);
			$stepclass->show_option($orderstatus);
		}
		//---------------visializzazione opzione -----------------<
	}
	echo "<br /><br />";
	$pevstep = fnc_get_prev_order_step($step);
	if ($pevstep == "")
	{
		$link = fn_rewritelink("index.php?mod={$_FN['idmod']}&op=shipping");
	}
	else
	{
		$link = fn_rewritelink("index.php?mod={$_FN['idmod']}&op=$op&orderstep=$pevstep");
	}
	//echo "p=$pevstep,c=$step";
	echo "<input type=\"button\" onclick=\"window.location='$link'\" value=\"" . _INDIETRO . "\" />";
	//echo "<input type=\"button\" onclick=\"history.back()\" value=\"" . _INDIETRO . "\" />";
	echo "&nbsp;<input type=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\" />";
	echo "</form>";
	
}


/**
 * visualizza schermata tipologia di pagamento
 * 
 */
function print_payments()
{
	global $_FN;
	$listpayments = list_sections_translated("fncommerce/modules/payments");

	//dprint_r($listpayments);
	$op = getparam("op", PAR_GET, SAN_FLAT);
	$payment = getparam("payment", PAR_POST, SAN_FLAT);
	echo _ADMIN_PAYMODE;
	if ($payment != "")
	{
		$orderstatus['username'] = $_FN['user'];
		$orderstatus['cart'] = fnc_get_cart();
		$orderstatus['payment'] = $payment;
		if (!isset ($orderstatus['costs']))
			$orderstatus['costs'] = array ();

		$cost = array (
			'title' => $payment,
			'total' => 10
		); //deve tornare dalla funzione del modulo

		$orderstatus['costs'][$payment] = $cost;

		fnc_save_order_temp($orderstatus);
		jsredirect("?mod={$_FN['vmod']}&op=confirmorder");
	}

	$old = fnc_get_order_temp();
	if (isset ($old['payment']))
		$old = $old['payment'];
	echo "<form method=\"post\" action=\"?mod={$_FN['vmod']}&amp;op=$op\" >";
	foreach ($listpayments as $payment)
	{
		$sid = get_section_id($payment['link']);
		$ck = "";
		if ($old == $sid)
			$ck = "checked=\"checked\"";
		echo "<br /><input $ck type=\"radio\" name=\"payment\" value=\"$sid\" />{$payment['title']}";
	}
	echo "<br /><br /><input type=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\" />";
	echo "</form>";
}
/**
 * visualizza schermata di login
 * 
 * 
 */
function print_login()
{
	global $_FN, $_FNMESSAGE;
	$op = getparam("op", PAR_GET, SAN_FLAT);
	$opmod = getparam("opmod", PAR_GET, SAN_FLAT);
	require_once("sections/".sectionlocation("login")."/login_functions.php");
	switch ($opmod)
	{
		default:
			echo "<div style=\"text-align:center\"><table width=\"100%\" cellpadding=\"5\" cellspacing=\"5\" border=\"0\">";
			echo "<tr>";
			echo "<td style=\"text-align:center\"><b>"._FNC_OLDCUSTOMER."</b></td>";
			echo "<td style=\"text-align:center\"><b>"._FNC_NEWCUSTOMER."</b></td>";
			echo "</tr><tr>";
			
			echo "<td valign=\"top\" style=\"text-align:center\">";
			//-------utente password---->
			echo "<form method=\"post\" action=\"?mod=" . $_FN['mod'] . "&amp;op=$op&amp;fnlogin=login\" >";
			echo _NOMEUTENTE . "<br /><input type=\"edit\" size=\"15\" name=\"username\" /><br />";
			echo _PASSWORD . "<br /><input type=\"password\" size=\"15\" name=\"password\" /><br />";
			echo "<br /><input type=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\" />";
			echo "<br /><br /><b><a href=\"?mod=login&amp;op=rec_pass\">{$_FNMESSAGE ['_FORGPASS2']}</a></b><br />";
			echo "<br />";
			echo "</form>";
			$fnlogin = getparam("fnlogin", PAR_GET, SAN_FLAT);
			$fnuser = getparam("username", PAR_POST, SAN_FLAT);
			$fnpwd = getparam("password", PAR_POST, SAN_FLAT);
			if ($fnlogin == "login")
			{
					echo "<br />" . _PASSERR . "<br />";
			}
			//-------utente password----<
			
			echo "</td>";
			
			echo "<td valign=\"top\" style=\"text-align:center\">";
			fnc_vis_reg();
//			echo "<a href=\"?mod={$_FN['vmod']}&amp;op=$op&amp;opmod=vis_reg\">"._FNC_REGORA . "</a>";
			echo "</td>";
			echo "</tr></table></div>";
		break;
		case "vis_reg":	
			vis_reg();
		break;
		case "reg":
			$t=reg();
			if ($t == true)
			{
				jsredirect("?mod={$_FN['mod']}&op=$op");
				echo "<br /><a href=\"?mod={$_FN['mod']}&amp;op=shipping\">" . _SHIPPING . "</a>";
				echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".fromtheme("images/icons/forward.png")."\" alt=\"\" title=\""._SHIPPING."\" />";
			}
		break;
	}
	//echo "<a href=\"?mod=login&amp;op=vis_reg&amp;from=".urlencode("?mod={$_FN['mod']}&op=$op")."\"><b>" . _REGORA . "</b></a>";
}

function fnc_vis_reg()
{
	global $_FN, $forumborder, $forumback;
	if ($_FN['enable_registration'] == 0 && !is_admin())
	{
		echo _NONPUOI;
		return;
	}
	$op = getparam("op", PAR_GET, SAN_FLAT);
	$from = getparam("from", PAR_GET, SAN_HTML);
	echo "<form enctype=\"multipart/form-data\" action=\"?mod=".$_FN['mod']."&amp;op=$op&amp;opmod=reg\" method=\"post\" name=\"registra\" >";
	//apre la tabella -->
	echo "\n<table>" .
	"\n<tbody>";
	echo "\n<tr>" .
	"\n<td align=\"center\" colspan=\"2\" >";
	//apre la tabella --<
	echo "<em>" . _FCAMPI . "</em><br />&nbsp;";
	echo "</td>";
	echo "</tr>";

	$_fnextrauservalues = new FieldForm("fndatabase", "users", $_FN['datadir'], $_FN['lang']);
    $_fnextrauservalues->setlayoutTags("<tr><td style=\"text-align:right;vertical-align:top\">","</td>","<td style=\"text-align:left;vertical-align:top\">","</td></tr>");
	$_fnextrauservalues->ShowInsertForm(isadmin());

	if (isadmin())
	{
		//livello-->
		echo "<tr><td>" . _LEVEL . "</td>";
		echo "<td>";
		echo "<select name=\"level\">";
		for ($i = 0; $i < 11; $i++)
		{
			echo "<option value=\"$i\" >$i</option>";
		}
		echo "</select>";
		echo "</td></tr>";
		//livello--<
		//gruppo-->
		echo "<tr><td>" . _FGRUPPO . "</td>";
		echo "<td>";
		$groups = get_grouplist();
		$group = "users";
		$grlist = explode(",", $group);
		foreach ($groups as $g)
		{
			$ck = in_array($g, $grlist) ? "checked=\"true\"" : "";
			print ("<input $ck name=\"group-$g\" value=\"$group\" type=\"checkbox\" />$g<br />");
		}
		echo "</td></tr>";
		//gruppo--<
	}
	//invia--<
	echo "<tr><td>&nbsp;</td><td ><br /><input type=\"submit\" class=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\" /><br />&nbsp;</td></tr>";
	//invia--<
	echo "</tbody></table>";
	echo "</form>";

}
/**
 * stampa la tabella con i prodotti
 * @param array tutti i prodotti da stampare
 * 
 */
function print_products_table($all)
{
	global $_FN;
	//dprint_r($all);
	$cat = getparam("cat", PAR_GET, SAN_FLAT);
	if (is_array($all) && count($all) > 0)
	{
		echo "<table width=\"100%\" border=\"0\">";
		//echo "<tr><td>"._VARIE_IMMAGINE."</td><td>"._VARIE_DESCRIZIONE."</td><td style=\"text-align:right\">"._FNCPREZZO."</td><td>&nbsp;</td></tr>";
		foreach ($all as $prod)
		{
			echo "<tr>";
			echo "<td width=\"100\" style=\"text-align:center\">";
			
			if ($prod['photo1'] != "")
				if (file_exists("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg"))
				{
					if (isset($_FN['fnc_nothumbs']) && $_FN['fnc_nothumbs']=="1")
						echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img style=\"border:0px;\"  height=\"80\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/{$prod['photo1']}\" /></a>";
					else
						echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img style=\"border:0px;\"  height=\"80\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs/{$prod['photo1']}.jpg\" /></a>";
				}
				else
					echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img style=\"border:0px;\"  height=\"80\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
			else
				echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\"><img style=\"border:0px;\" height=\"80\" src=\"".fromtheme("fncommerce/images/product_default.png")."\" /></a>";
			echo "</td>";
			echo "<td><a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=view&amp;id={$prod['unirecid']}")."\">" . $prod['name'] . "</a>";
			//pk___xdb_fnc_products=7&op___xdb_fnc_products=insnew
			if (is_admin())
				echo "<br /><br /><div><a href=\"controlcenter.php?mod=none_Control_Center&opt=05_fnEcommerce/20_products&op___xdb_fnc_products=insnew&pk___xdb_fnc_products={$prod['unirecid']}\">["._MODIFICA."]</a></div>";
			echo "</td>";
			echo "<td style=\"text-align:right\">" . fnc_format_price($prod['price']) . "</td>";
			echo "<td style=\"text-align:center\">";
			
			//aggiunge e visualizza carrello
			echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=addtocart&amp;p={$prod['unirecid']}")."\">" . 
			"<img style=\"border:0px;vertical-align:middle\" src=\"".fromtheme("fncommerce/images/cart.png")."\" />".
			_ADDTOCART . "</a>";
			
			// aggiunge al carrello
			//	echo "<br /><a href=\"?mod={$_FN['mod']}&amp;cat=$cat&amp;addtocart={$prod['unirecid']}\">" . 
			//	"<img style=\"border:0px;vertical-align:middle\" src=\"".fromtheme("fncommerce/images/cart.png")."\" />".
			//	_ADDTOCART . "</a>";
			
			echo "</td>";
			echo "</tr>";
			echo "<tr><td colspan=\"4\"><hr /></td></td>";
		}
		echo "</table>";
	}
}

/**
 * 
 * stampa tutte le cattegorie una a fianco all' altra
 * 
 */
function print_categories_flat()
{
	global $_FN;
	$current = getparam("cat", PAR_GET, SAN_FLAT);
	$all = fnc_getcategories();
	foreach ($all as $cat)
	{
		$num = fnc_getproductsbycategory($cat['unirecid']);
		if (!is_array($num))
			$num = 0;
		else
			$num = count($num);

		if ($num > 0)
		{
			if ($cat['unirecid'] == $current)
				echo "<b>";
			echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$cat['unirecid']}")."\">" . str_replace(" ", "&nbsp;", $cat['name']) . "</a>";
			if ($cat['unirecid'] == $current)
				echo "</b>";
			echo "&nbsp;($num)";
			echo " |&nbsp;";
		}
	}
}
/**
 * 
 * 
 */
function print_subcategories($cat)
{
	global $_FN;
	$items=fnc_getcategories(array("parent"=>$cat));
	//dprint_r($items);
	//die();
	//$w=145;
	//$h=155;
	if($items)
	{
		echo "<div class=\"fnc_subcategories\" style=\"\">";
		foreach ($items as $cat)
		{
			echo "<div class=\"fnc_category_{$cat['unirecid']}\" style=\"\">";
			
			//echo "<table style=\"display:inline;zoom:1;height:{$h}px;width:{$w}px;margin:2px;\"><tr><td width=\"{$w}\" height=\"{$h}\"valign=\"center\" style=\"text-align:center\">";
			if (isset($cat['photo1']) && $cat['photo1']!="")
			{
				echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$cat['unirecid']}")."\"><img title=\"{$cat['name']}\" style=\"\"  src=\"{$_FN['datadir']}/fndatabase/fnc_categories/{$cat['unirecid']}/photo1/{$cat['photo1']}\" /></a>";
			}
			else
				echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$cat['unirecid']}")."\"><img title=\"{$cat['name']}\" style=\"\"  src=\"".fromtheme("fncommerce/images/category_default.png")."\" /></a>";
			echo "<br /><a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$cat['unirecid']}")."\">{$cat['name']}</a>";
			//echo "</td></tr></table>  ";
			echo "</div>";
			
		}
		echo "<br class=\"\" style=\"\"/>";
		echo "</div>";
	}
}




function fnc_get_range_restrictions()
{
	global $_FN;
	$ret=array();
	if ($_FN['show_ranges']!="")
	{
		$ranges=explode(",",$_FN['show_ranges']);
		foreach ($ranges as $range)
		{
			$min=getparam($range.'-min',PAR_GET,SAN_HTML);
			$max=getparam($range.'-max',PAR_GET,SAN_HTML);
			if ($min!="")
				$ret[$range.'-min']=getparam($range.'-min',PAR_GET,SAN_HTML);
			if ($max!="")
				$ret[$range.'-max']=getparam($range.'-max',PAR_GET,SAN_HTML);
		}
	}
	return $ret;

}

function fnc_get_range_restrictions_vars()
{
	global $_FN;
	$ret="";
	if ($_FN['show_ranges']!="")
	{
		$ranges=explode(",",$_FN['show_ranges']);
		foreach ($ranges as $range)
		{
			$ret.="&amp;$range-min=".getparam($range.'-min',PAR_GET,SAN_HTML);
			$ret.="&amp;$range-max=".getparam($range.'-max',PAR_GET,SAN_HTML);
		}
	}
	return $ret;

}

/**
 * stampa il menu con i checkbox per negozi
 * che hanno molte categorie e gli stessi prodotti
 * su piu' categorie, permette una ricerca avanzata
 * 
 * 
 */
function print_categories_tree_check($parent="")
{
	global $_FN;
	echo "<form id=\"fnc_categories_form\" method=\"get\" action=\"?mod={$_FN['mod']}\">";
	echo "<input type=\"hidden\" name=\"mod\" value=\"{$_FN['mod']}\" />";
	echo "<input type=\"hidden\" name=\"mode\" value=\"categories\" />";
	$restr_ranges=fnc_get_range_restrictions();
	foreach ($restr_ranges as $k=>$v)
		echo "<input type=\"hidden\" name=\"$k\" value=\"$v\" />";
	
	print_categories_tree_check_rec();
	echo "</form>";
}
function print_categories_tree_check_rec($parent="")
{
	global $_FN;
	static $lev = 0;
	$ret=array();
	$current=getparam("cat", PAR_GET, SAN_FLAT);
	$items=fnc_getcategories(array("parent"=>"$parent"));
	if (!$items || count ($items)==0)
		return $ret;
	foreach ($items as $item)
	{
		$ck="";
		$c=getparam("cat_{$item['unirecid']}", PAR_GET, SAN_FLAT);
		if ($c==1 || $current==$item['unirecid'])
			$ck="checked=\"checked\"";
		$restr=fnc_get_range_restrictions();
		$num = fnc_getproductscountbycategory($item['unirecid'],$restr);
		echo "<nobr>";
		$dis=($num==0)?"disabled=\"disabled\"":"";
		//stampa identazione
		for($i=0;$i<$lev;$i++)
			echo "&nbsp;";
			
		// se e' il livello zero e non ci sono prodotti non stampo il check
		// poche' si tratta di un gruppo di categorie
		$is_group=false;
		if ($lev==0 && $num==0)
		{
			echo "<b>".$item['name']."</b>";			
			$is_group=true;
		}
		else
		{
			echo "<input $dis name=\"cat_{$item['unirecid']}\" value=\"1\"  onclick=\"document.getElementById('fnc_categories_form').submit()\" type=\"checkbox\" $ck />";
			echo $item['name']."&nbsp;($num)";
		}
		echo "</nobr><br />";
		if ($is_group)
		{
			echo "<div style=\"border:1px solid;overflow:auto;height:200px;\">";
		}
		$lev++;
		print_categories_tree_check_rec($item['unirecid']);
		$lev --;
		if ($is_group)
		{
			echo "</div>";
		}
	}
	return ;
}
/**
 * mostra il menu con tutte le categorie
 * 
 * 
 */
function print_categories_tree($parent="")
{
	global $_FN;
	static $lev=0;
	$ret=array();
	$current=getparam("cat", PAR_GET, SAN_FLAT);
	$items=fnc_getcategories(array("parent"=>"$parent"));
	$num="";
	if (!$items || count ($items)==0)
		return $ret;
	echo "";
	foreach ($items as $item)
	{
		$restr=fnc_get_range_restrictions();
		//dprint_r($restr);
		$num = fnc_getproductscountbycategory($item['unirecid'],$restr);
			echo "<br /><nobr>";
		for($i=0;$i<$lev;$i++)
			echo "&nbsp;&nbsp;&nbsp;&nbsp;";
		if ($current==$item['unirecid'])
			echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&cat={$item['unirecid']}")."\"><b>".$item['name']."</b>&nbsp;($num)</a>";
		else
			echo "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&cat={$item['unirecid']}")."\">".$item['name']."&nbsp;($num)</a>";
		echo "</nobr>";
		$lev++;
		print_categories_tree($item['unirecid']);
		$lev--;
	}
	echo "";
//	dprint_r($items);
//	die();
	return ;
}



/**
 * scrive dati di fatturazione e indirizzo spedizione
 * 
 * 
 */
function print_shipping()
{
	global $_FN;
	if (!fnc_get_cart())
	{
		echo _VARIE_CARRELLO_VUOTO."<br /><br />";
		echo "&nbsp;&nbsp;<a href=\"".fn_rewritelink("index.php?mod={$_FN['mod']}")."\">" . _RETURNSHOPPING . "</a>";
		return;
	}
	$op = getparam("op", PAR_GET, SAN_FLAT);
	//$edit = getparam("edit", PAR_GET, SAN_FLAT);
	$save = getparam("save", PAR_POST, SAN_FLAT);
	$update = getparam("update", PAR_GET, SAN_FLAT);
	$Table = new FieldForm("fndatabase", "fnc_users", $_FN['datadir'], $_FN['lang']);
	
	$newvalues = $Table->getbypost();
	//nascondo indirizzo di spedizione
	if ($_FN['fnc_enable_recipient'] == 0)
	{
		$newvalues['doshippingaddress'] = "no";
		$Table->formvals['doshippingaddress']['frm_show']=0;
		$Table->formvals['doshippingaddress']['required']=0;
		foreach ($Table->formvals as $key=>$val)
		{
			if (isset($Table->formvals[$key]['frm_group']))
				unset ($Table->formvals[$key]['frm_group']);
			if (isset($Table->formvals[$key]['frm_endgroup']))
				unset ($Table->formvals[$key]['frm_endgroup']);
				
			if (fn_erg("^shipping",$key))
			{
				$Table->formvals[$key]['frm_show']=0;
			}
		}
		//dprint_r($Table->xmltable->fields);
	//	echo "adasd";
	
	}
	
	$err="";
	$order=fnc_get_order_temp();
	$notes=isset($order['notes'])?$order['notes']:"";
	//dprint_r($order);
	//---salva le note sull' ordine --->
	if (isset($_POST['notes']))
	{
		$order['notes']=strippostpslashes(getparam("notes", PAR_POST, SAN_FLAT));;
		fnc_save_order_temp($order);
	}
	//---salva le note sull' ordine ---<
	
	foreach ($newvalues as $key => $value)
	{
		$newvalues[$key]=getparam($value,PAR_NULL,SAN_HTML);
	}
	
	$newvalues['username'] = $_FN['user'];
	
	$edit ="";
	if ($_FN['user'] == "")
	{
		print_login();
	}
	else
	{
		if ($save != "")
		{
			if ($update)
				$update = true;
			$err = $Table->VerifyExt($newvalues, $update);
			//dprint_r($err);
			if (count($err) >0)
			{
				jsalert(_FERRCAMPO);
			}
			else
			{
				if ($update)
					$Table->xmltable->UpdateRecord($newvalues);
				else
					$Table->xmltable->InsertRecord($newvalues);
					
				$nextstep=fnc_get_next_order_step();
				jsredirect("".fn_rewritelink("?mod={$_FN['mod']}&op=ordersteps&orderstep=$nextstep")."");
			}
		}
		$listaddress = fnc_get_shipping_values($_FN['user']);
		if (isset ($listaddress[0]['unirecid']))
		{
			$edit = $listaddress[0]['unirecid'];
		}

		$Table->setlayoutTags("<div style=\"float:left;width:150px;\"><nobr>", ":</nobr></div>", "", "<br />","<fieldset><legend>","</legend>","</fieldset>"."<br />");
		
		
		//------visualizzazione degli errori di compilazione------>
		$errortext="";
		if (is_array($err))
			foreach ($err as $key=>$value)
			{
				$htmlerror="<img src=\"".fromtheme("images/icons/error.png")."\" alt=\"\" title=\"{$value['error']}\" />";
				$errortext.="<b>{$value['title']}</b>: {$value['error']}<br />";
				$Table->formvals[$key]['frm_endtagvalue']=$htmlerror.$Table->formvals[$key]['frm_endtagvalue'];
			}
		//------visualizzazione degli errori di compilazione------<
		
		echo "<b>"._FNC_COMPILESHIPPINGDATA."</b><br />";
		echo "<em>" . _FCAMPI . "</em><hr />";
		if ($edit != "")
		{
			echo "<form method=\"post\" action=\"?mod={$_FN['vmod']}&amp;op=$op&amp;update=1&amp;edit=$edit\">";
			echo "<input type=\"hidden\" name=\"unirecid\" value=\"$edit\" />";
			$values = $Table->xmltable->GetRecordByPrimaryKey($edit);
			if ($_FN['user'] != $values['username'] && !is_admin())
				die(_NONPUOI);
			$all = $Table->ShowUpdateForm($edit,is_admin(),$newvalues);
			
			echo "<fieldset><legend>"._FNC_NOTES."</legend><textarea style=\"width:100%\" rows=\"3\" name=\"notes\">".htmlspecialchars($notes)."</textarea></fieldset><br />";
			echo "<span style=\"color:red\">$errortext</span><br />";
			echo "<input onclick=\"window.location='?mod={$_FN['mod']}&op=showcart'\" type=\"button\" value=\"" . _INDIETRO . "\"/>";
			echo "&nbsp;<input name=\"save\" type=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\"/>";
			echo "</form>";

		}
		else
		{
			echo "<form method=\"post\" action=\"?mod={$_FN['vmod']}&amp;op=$op\">";
			$all = $Table->ShowInsertForm(is_admin(),$newvalues);
			echo "<fieldset><legend>"._FNC_NOTES."</legend><textarea style=\"width:100%\" rows=\"3\" name=\"notes\">".htmlspecialchars($notes)."</textarea></fieldset><br />";
			echo "<span style=\"color:red\">$errortext</span><br />";
			echo "<input onclick=\"window.location='?mod={$_FN['mod']}&op=showcart'\" type=\"button\" value=\"" . _INDIETRO . "\"/>";
			echo "<input name=\"save\" type=\"submit\" value=\"" . _AVANTI . " &gt;&gt;\"/>";
			echo "</form>";

		}
	}
	

}


/**
 * html di vai al carrello
 * 
 */
function html_cart()
{
	global $_FN;
	return "<div style=\"text-align:right;\">" .
	"<img style=\"vertical-align:middle;border:0px;\" src=\"".fromtheme("fncommerce/images/mycart.png")."\" alt=\"\" title=\""._MYCART."\"/>&nbsp;<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;op=showcart")."\">"
	
	. _MYCART . " (".fnc_get_cart_count().")</a></div>";
}


/**
 * stampa la scheda prodotto
 * 
 */
function html_product($pid)
{
	global $_FN;
	$ret="";
	$prod = fnc_getproduct($pid);	
	$ret.= html_category_path($prod['category'],"-&gt;");
	$ret.= "-&gt;{$prod['name']}<br /><br />";

	$nph=0;
	//-----foto------->
	$ret.= "<div style=\"text-align:center\">";
	for ($i=0;$i<=10;$i++)
	{
		if (isset($prod['photo'.$i]) && $prod['photo'.$i] != "")
		{
			if (isset($_FN['fnc_nothumbs']) && $_FN['fnc_nothumbs']=="1")
				$ret.= "<a alt=\"{$prod['photo'.$i]}\" href=\"javascript:create_gallery('pgallery');\"><img style=\"border:0px;\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo$i/".$prod['photo'.$i]."\" /></a>&nbsp;";
			else
				$ret.= "<a alt=\"{$prod['photo'.$i]}\" href=\"javascript:create_gallery('pgallery');\"><img style=\"border:0px;\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo$i/thumbs/".$prod['photo'.$i].".jpg\" /></a>&nbsp;";
			$nph++;
		}
	}
	$ret.= "</div>";
	$ret.= "<br />";
	$trasp = "z-index:7;-moz-opacity:.80;opacity:.80;-khtml-opacity:0.8;filter:alpha(opacity=80);background-color:#000000";
	//$trasp = "background-color:#dadada;z-index:7";
	$ret.=  "<div id=\"busy\" style=\"$trasp;display:none;position:absolute;top:0px;left:0;height:100%;width:100%;border:0px;margin:0px;padding:0px;text-align:center;\">&nbsp;</div>";
	$ret.=  "<div id=\"pgallery\" style=\"z-index:8;display:none;position:absolute;top:0px;left:0;height:100%;width:100%;border:0px;margin:0px;padding:0px;text-align:center;\">";
	if ($nph>1)
	$ret .= "<button onclick=\"gallery_prev('pgallery')\">"."&lt;&lt;"."</button>";
	$ret .= "<button onclick=\"close_gallery('pgallery')\">"._FNC_CLOSE."</button>";
	if ($nph>1)
	$ret .= "<button onclick=\"gallery_next('pgallery')\">"."&gt;&gt;"."</button>";
	for ($i=0;$i<=10;$i++)
	{
		if (isset($prod['photo'.$i]) && $prod['photo'.$i] != "")
			$ret.= "<img alt=\"{$prod['photo'.$i]}\" style=\"margin-top:10px;margin-left:auto;margin-right:auto;display:none;border:0px;\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo$i/".$prod['photo'.$i]."\" />";
	}
	$ret.=  "</div>";
	//-----foto-------<

	$ret.="<script language=\"javascript\">
var oldhtmlstyle;
function create_gallery(id)
{
	window.scroll(0,0);
	
	document.getElementById('busy').style.display='block';

	try{
		oldhtmlstyle=document.getElementsByTagName('html')[0].style.overflow;
		document.getElementsByTagName('html')[0].style.overflow='hidden';
	}catch (e){}		
	document.getElementById(id).style.display='block';
	var imageList = document.getElementById(id);
	if(!imageList )
		return false;
	var gListItems = imageList.getElementsByTagName('img'); //get the images into an array
	for (var item in gListItems)
	{
		if (gListItems[item].style!=undefined)
		{
			gListItems[item].setAttribute('onclick','gallery_next(\"'+id+'\")')
			if (item==0)
				gListItems[item].style.display='block';
			else
				gListItems[item].style.display='none';
			gListItems[item].style.cursor='pointer';

		}
	}
}

function close_gallery(id)
{
	try{
	document.getElementsByTagName('html')[0].style.overflow=oldhtmlstyle;
	}catch (e){}	
	document.getElementById(id).style.display='none';
	document.getElementById('busy').style.display='none';

}
function gallery_next(id)
{
	var imageList = document.getElementById(id);
	var next=0;
	if(!imageList )
		return false;
	var gListItems = imageList.getElementsByTagName('img'); //get the images into an array
	for (item in gListItems)
	{
		var n = item;
		n++;
		if (gListItems[item].style!=undefined && gListItems[item].style.display=='block')
		{
			if (gListItems[n] == undefined || gListItems[n].style == undefined )
				next=0;
			else
				next=n;
		}
		if (gListItems[item].style!=undefined)
			gListItems[item].style.display='none';
	}
	gListItems[next].style.display='block';
}
function gallery_prev(id)
{
	var imageList = document.getElementById(id);
	var prev=0;
	if(!imageList )
		return false;
	var gListItems = imageList.getElementsByTagName('img'); //get the images into an array
	for (item in gListItems)
	{
		var p = item;
		if (gListItems[item].style!=undefined && gListItems[item].style.display=='block')
		{
			prev=p;
		}
		if (gListItems[item].style!=undefined)
			gListItems[item].style.display='none';
	}
	prev--;
	if (prev < 0)
	{
		for (prev = 0; gListItems[prev] != undefined && gListItems[prev].style != undefined ; prev++);
		prev--;
	}		
	gListItems[prev].style.display='block';
}
</script>
";

	//-----descrizione------->
	$ret.= $prod['description'];
	//-----descrizione-------<
	
	//-----marca------->
	if ($prod['manufacturers'] != "")
	{
		$ret.="<div style=\"float:right\">";
		$man=fnc_getmanufacturersById($prod['manufacturers']);
		if ($man['image']!="")
			$ret.= "<img src=\"{$man['image']}\" alt=\"\" title=\"{$man['name']}\" >";
		else
			$ret.= isset($man['name'])?$man['name']:"";
		$ret.="</div>";
	}
	//-----marca-------<

$ret.= "<br />";
	//-----altro------->
	if (isset($prod['year']) && $prod['year'] != "")
		$ret.= "<br /><b>"._FNC_YEAR.": </b>" . $prod['year'] . "";
	//if (isset($prod['weight']) &&  $prod['weight'] != "")
	//	$ret.= "<br /><b>"._FNC_WEIGHT.": </b>" . round($prod['weight']/1000,3) . " Kg</b>";
	if (isset($prod['height']) && $prod['height'] != "")
		$ret.= "<br /><b>"._FNC_HEIGHT.": </b>" . $prod['height'] . " cm";
	if (isset($prod['width']) && $prod['width'] != "")
		$ret.= "<br /><b>"._FNC_WIDTH.": </b>" . $prod['width'] . " cm";
	if (isset($prod['depth']) && $prod['depth'] != "")
		$ret.= "<br /><b>"._FNC_DEPTH.": </b>" . $prod['depth'] . " cm";
	//-----codice prodotto------->
	if (isset($prod['model']) && $prod['model'] != "")
		$ret.= "<br /><b>COD.</b>".$prod['model'];
	//-----codice prodotto-------<
	//-----altro-------<
	
	//-----prezzo------->
	$ret.= "<br /><br /><b>"._FNCPREZZO.": </b>" . fnc_format_price($prod['price']) . "";
	//-----prezzo-------<


	//-----carrello------->
	$ret.= "<br /><br />";
	
	$ret.="<a href=\"?mod={$_FN['mod']}&amp;op=addtocart&amp;p={$prod['unirecid']}\">";
	$ret.="<img style=\"border:0px;vertical-align:middle\" src=\"".fromtheme("fncommerce/images/cart.png")."\" />";
	$ret.=  _ADDTOCART . "</a>";
	//-----carrello-------<
	

	//-----modifica prodotto------->
	if (is_admin())
		$ret.= "<br /><br /><div><a href=\"controlcenter.php?mod=none_Control_Center&opt=05_fnEcommerce/20_products&op___xdb_fnc_products=insnew&pk___xdb_fnc_products={$prod['unirecid']}\">["._MODIFICA."]</a></div>";
	//-----modifica prodotto-------<
	
	return $ret;
}


/**
 * stama la barra di navigazione delle categorie
 * 
 */
function html_category_path($id,$sep="-&gt;")
{
	global $_FN;
	$t=fnc_getcontents_config();
	$t=$t['title'];
	$ret= "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}")."\">$t</a>";
	if ($id=="")
		return $ret;
	$tree=array();
	$cat=fnc_getcategory($id);
	$tree[]=$cat;

	if (!$cat)
		return $ret;
	while ($cat['parent']!="")
	{
		$cat=fnc_getcategory($cat['parent']);
		$tree[]=$cat;
	}
	//	dprint_r($tree);
	$tree=array_reverse($tree);
	
	foreach ($tree as $item)
	{
		$ret.= $sep;
		$ret.= "<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$item['unirecid']}")."\">{$item['name']}</a>";
	}
	$ret.= "";
	return $ret;
}

/**
 * funzione ricorsiva che
 * stampa il menu con categorie e sottocategorie
 * 
 */
function html_categories($parent = "", $level = "")
{
	global $_FN,$_FNC;
	$ret="";
	$current = getparam("cat", PAR_GET, SAN_FLAT);
	$all = $_FNC['categories'];
	foreach ($all as $cat)
	{
		if ($cat['parent'] == $parent)
		{
			if ($cat['unirecid'] == $current)
				$ret.= "<b>";
			echo "<br />$level<a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat={$cat['unirecid']}")."\">" . $cat['name'] . "</a>";
			if ($cat['unirecid'] == $current)
				$ret.= "</b>";
			$num = fnc_getproductsbycategory($cat['unirecid']);
			if (!is_array($num))
				$num = 0;
			else
				$num = count($num);
			$ret.= "($num)";
			$ret.= html_categories($cat['unirecid'], "---");
		}
	}
	return $ret;
}


function html_range($fieldnames)
{
	global $_FN;
	$cat = getparam("cat", PAR_GET, SAN_FLAT);
	
	$ret="";
	$table = new FieldForm("fndatabase", "fnc_products", $_FN['datadir'],$_FN['lang'],$_FN['languages']);
	
	$products=$table->xmltable->GetRecords();
	$fieldnames=explode(",",$fieldnames);
	
	$ret.="<form method=\"get\" action=\"\">";
	$ret.="<input type=\"hidden\" name=\"mod\" value=\"{$_FN['vmod']}\" />";
	$ret.="<input type=\"hidden\" name=\"cat\" value=\"$cat\" />";
	foreach ($fieldnames as $fieldname)
	{
		$max=$min=intval(round($products[0][$fieldname],0));
		foreach ($products as $product)
		{
			$min=min(intval(round($product[$fieldname],0)-1),intval($min));
			$max=max(intval(round($product[$fieldname],0)),intval($max));
		}
		$searchmin=getparam("$fieldname-min",PAR_GET,SAN_HTML);
		$searchmax=getparam("$fieldname-max",PAR_GET,SAN_HTML);
		if ($min<0)
			$min=0;
		if ($searchmin=="")
			$searchmin=$min;
		if ($searchmax=="")
			$searchmax=$max;
			
		$fieldtitle=$table->formvals[$fieldname]['title'];;
		$ret.="<nobr>$fieldtitle da:<input size=\"5\" name=\"$fieldname-min\" type=\"text\" name=\"$fieldname-min\" value=\"$searchmin\" />";
		$ret .="a:<input size=\"5\" name=\"$fieldname-max\" type=\"text\" name=\"$fieldname-max\" value=\"$searchmax\" /></nobr> ";
	}
	$ret.="<input type=\"submit\" name=\"op\" value=\""._CERCA."\" />";
	$ret .="</form>";
	return $ret;
	

}
?>