<?php
ini_set("max_execution_time","240");
/**
 * 94_Import_CSV.php created on 11/feb/2009
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */

require_once ("fncommerce/fnc_functions.php");
global $_FN;
$op = getparam("opt", PAR_GET, SAN_FLAT);
$host = getparam("host", PAR_POST, SAN_FLAT);
$user = getparam("user", PAR_POST, SAN_FLAT);
$port = getparam("port", PAR_POST, SAN_FLAT);
$password = getparam("password", PAR_POST, SAN_FLAT);
$databasename = getparam("databasename", PAR_POST, SAN_FLAT);
$pathimages = getparam("pathimages", PAR_POST, SAN_FLAT);

$filetoopen = "/home/alessandro/import.csv";

if (is_admin() && isset ($_GET['import']))
{
	//dprint_r($_FILES);
	$filetoopen = strippostpslashes($_FILES['filename']['tmp_name']);
	fnc_Import_CSV($filetoopen);
	jsalert("File importato");
}
else
{
	echo "<h2>Il file csv deve avere il TAB come separatore di campo e nulla come separatore di testo.La codifica deve essere in UTF-8</h2>";
	echo "<form enctype=\"multipart/form-data\" method=\"post\" action=\"?mod={$_FN['mod']}&amp;opt=$op&amp;import\">";
	echo "<br />file:<br /><input type=\"file\" size=\"30\" name=\"filename\" value=\"$host\" />";
	echo "<br />path images:<br /><input type=\"text\" size=\"60\" name=\"pathimages\"  value=\"$pathimages\"/>";
	echo "<br /><br /><input type=\"submit\" value=\"" . _EXECUTE . "\" />";
	echo "</form>";
}

function fnc_Import_CSV($filetoopen)
{
	global $_FN;
	if (!file_exists($filetoopen))
		return;
	$pathimages = getparam("pathimages", PAR_POST, SAN_FLAT);

	@ rmdird("{$_FN['datadir']}/fndatabase/fnc_products");
	@ rmdird("{$_FN['datadir']}/fndatabase/fnc_categories");
	@ rmdird("{$_FN['datadir']}/fndatabase/fnc_products_to_categories");
	//"drop table fnc_products;drop table fnc_products_to_categories;drop table fnc_categories;"
	
	//	die();
	/*
	    [0] => Codice
	    [1] => Quantit
	    [2] => Descrizione corta IT
	    [3] => Descrizione lunga IT
	    [4] => Descrizione corta EN
	    [5] => Descrizione lunga EN
	    [6] => H
	    [7] => L
	    [8] => P
	    [9] => Peso
	    [10] => Prezzo Vendita IVATO
	    [11] => Anno
	    [12] => Materiale
	    [13] => Materiali in inglese
	    [14] => Categoria1
	    [15] => Categoria 1 in inglese
	    [16] => Categoria2
	    [17] => Categoria 2 in inglese
	    [18] => Categoria3
	    [19] => Categoria 3 in inglese
	    [20] => Stanza1
	    [21] => Stanza 1 inglese
	    [22] => Stanza2
	    [23] => Stanza 2 inglese
	    [24] => Stanza3
	    [25] => Stanza 3 inglese 
	    [26] => Stanza 4
	    [27] => Stanza 4 inglese
	    [28] => Correlati
	*/
	$rows = file($filetoopen);
	$tablepro = new FieldForm("fndatabase", "fnc_products", $_FN['datadir']);
	$tablecats = new FieldForm("fndatabase", "fnc_categories", $_FN['datadir']);
	$tableprocats = new FieldForm("fndatabase", "fnc_products_to_categories", $_FN['datadir']);



	$tablepro->xmltable->Truncate();
	$tablecats->xmltable->Truncate();
	$tableprocats->xmltable->Truncate();
	

	//---categoria stanza---->
	$c = $tablecats->xmltable->InsertRecord(array (
		"name" => "Stanza",
		"name_en" => "Room"
	));
	$idstanza=$c['unirecid'];
	//---categoria stanza----<


	//---categoria tipo---->
	$c = $tablecats->xmltable->InsertRecord(array (
		"name" => "Tipo",
		"name_en" => "Type"
	));
	$idtipo=$c['unirecid'];
	//---categoria tipo----<

	//---categoria materiale---->
	$c = $tablecats->xmltable->InsertRecord(array (
		"name" => "Materiale",
		"name_en" => "Material"
	));
	$idmateriale=$c['unirecid'];
	//---categoria materiale----<

/*
	//---categoria anno---->
	$c = $tablecats->xmltable->InsertRecord(array (
		"name" => "Anno",
		"name_en" => "Year"
	));
	$idanno=$c['unirecid'];
	//---categoria anno----<
*/


	echo "<h1>Prodotti</h1>";

	$cats = array ();
	$i = 1;
	foreach ($rows as $row)
	{
		$row = explode("\t", $row);

		//------------articoli--------->
		if ($row[0] != "Codice" && $row[0] != "" && $row[2] != "")
		{
			$articolo['unirecid'] = $i;
			$articolo['model'] = $row[0];
			$articolo['quantity'] = $row[1];
			$articolo['name'] = htmlentities($row[2], ENT_QUOTES, "UTF-8");
			$articolo['description'] = htmlentities($row[3], ENT_QUOTES, "UTF-8");
			$articolo['name_en'] = htmlentities($row[4], ENT_QUOTES, "UTF-8");
			$articolo['description_en'] = htmlentities($row[5], ENT_QUOTES, "UTF-8");
			$articolo['height'] = str_replace(",", ".", $row[6]);
			$articolo['width'] = str_replace(",", ".", $row[7]);
			$articolo['depth'] = str_replace(",", ".", $row[8]);
			$articolo['year'] = str_replace(",", ".", $row[11]);
			$articolo['status'] = 1;

			$articolo['weight'] = str_replace(",", ".", $row[9]);









			$articolo['photo1']=$articolo['photo2']=$articolo['photo3']="";
			if (file_exists("$pathimages/{$articolo['model']}.jpg"))
				$articolo['photo1']="{$articolo['model']}.jpg";
			if (file_exists("$pathimages/{$articolo['model']}_01.jpg"))
				$articolo['photo2']="{$articolo['model']}_01.jpg";
			if (file_exists("$pathimages/{$articolo['model']}_02.jpg"))
				$articolo['photo3']="{$articolo['model']}_02.jpg";
	

			$price = str_replace(".", "", $row[10]);
			$price = str_replace(",", ".", $price);
			$price=str_split($price);
			$floatprice="";
			foreach ($price as $char)
			{
				if (strpos("1234567890.",$char)!==false)
				{
					$floatprice.=$char;
				}
			}
			$price = $floatprice;
			$articolo['price'] = floatval($price);

			$p = $tablepro->xmltable->InsertRecord($articolo);
			echo("<br />".$p['model']." (".$p['name'].")");
			$p['cat1'] = htmlentities($row[14], ENT_QUOTES, "UTF-8");
			$p['cat2'] = htmlentities($row[16], ENT_QUOTES, "UTF-8");
			$p['cat3'] = htmlentities($row[18], ENT_QUOTES, "UTF-8");

			$p['cat4'] = htmlentities($row[20], ENT_QUOTES, "UTF-8");
			$p['cat5'] = htmlentities($row[22], ENT_QUOTES, "UTF-8");
			$p['cat6'] = htmlentities($row[24], ENT_QUOTES, "UTF-8");
			$p['cat7'] = htmlentities($row[26], ENT_QUOTES, "UTF-8");


			$p['cat8'] = htmlentities($row[12], ENT_QUOTES, "UTF-8");
			$p['cat8_en'] = htmlentities($row[13], ENT_QUOTES, "UTF-8");


			$p['cat1_en'] = htmlentities($row[15], ENT_QUOTES, "UTF-8");
			$p['cat2_en'] = htmlentities($row[17], ENT_QUOTES, "UTF-8");
			$p['cat3_en'] = htmlentities($row[19], ENT_QUOTES, "UTF-8");

			$p['cat4_en'] = htmlentities($row[21], ENT_QUOTES, "UTF-8");
			$p['cat5_en'] = htmlentities($row[23], ENT_QUOTES, "UTF-8");
			$p['cat6_en'] = htmlentities($row[25], ENT_QUOTES, "UTF-8");
			$p['cat7_en'] = htmlentities($row[27], ENT_QUOTES, "UTF-8");



			
			
			$prodotti[] = $p;
			
			$cat['name'] = htmlentities($row[14], ENT_QUOTES, "UTF-8");
			$cat['name_en'] = htmlentities($row[15], ENT_QUOTES, "UTF-8");
			if ($cat['name'] != "" && !isset ($cats[$cat['name']]))
				$cats[$cat['name']] = $cat;
			//--aggiungo alla lista prodotti in quella categoria
			if ($cat['name']!="")
				$catprod[$cat['name']][] = $p['unirecid'];



			$cat['name'] = htmlentities($row[16], ENT_QUOTES, "UTF-8");
			$cat['name_en'] = htmlentities($row[17], ENT_QUOTES, "UTF-8");
			if ($cat['name'] != "" && !isset ($cats[$cat['name']]))
				$cats[$cat['name']] = $cat;
			//--aggiungo alla lista prodotti in quella categoria
			if ($cat['name']!="")
				$catprod[$cat['name']][] = $p['unirecid'];


			$cat['name'] = htmlentities($row[18], ENT_QUOTES, "UTF-8");
			$cat['name_en'] = htmlentities($row[19], ENT_QUOTES, "UTF-8");
			if ($cat['name'] != "" && !isset ($cats[$cat['name']]))
				$cats[$cat['name']] = $cat;
			//--aggiungo alla lista prodotti in quella categoria
			if ($cat['name']!="")
				$catprod[$cat['name']][] = $p['unirecid'];




			$materiale['name'] = htmlentities($row[12], ENT_QUOTES, "UTF-8");
			$materiale['name_en'] = htmlentities($row[13], ENT_QUOTES, "UTF-8");
			if ($materiale['name'] != "" && !isset ($materiali[$materiale['name']]))
				$materiali[$materiale['name']] = $materiale;
			//--aggiungo alla lista prodotti in quella categoria
			if ($materiale['name']!="")
				$materialiprod[$materiale['name']][] = $p['unirecid'];



			$stanza['name'] = htmlentities($row[20], ENT_QUOTES, "UTF-8");
			$stanza['name_en'] = htmlentities($row[21], ENT_QUOTES, "UTF-8");
			if ($stanza['name'] != "" && !isset ($stanze[$stanza['name']]))
				$stanze[$stanza['name']] = $stanza;
			//--aggiungo alla lista prodotti in quella categoria
			if ($stanza['name']!="")
				$stanzeprod[$stanza['name']][] = $p['unirecid'];



			$stanza['name'] = htmlentities($row[22], ENT_QUOTES, "UTF-8");
			$stanza['name_en'] = htmlentities($row[23], ENT_QUOTES, "UTF-8");
			if ($stanza['name'] != "" && !isset ($stanze[$stanza['name']]))
				$stanze[$stanza['name']] = $stanza;
			//--aggiungo alla lista prodotti in quella categoria
			if ($stanza['name']!="")
				$stanzeprod[$stanza['name']][] = $p['unirecid'];


			$stanza['name'] = htmlentities($row[24], ENT_QUOTES, "UTF-8");
			$stanza['name_en'] = htmlentities($row[25], ENT_QUOTES, "UTF-8");
			if ($stanza['name'] != "" && !isset ($stanze[$stanza['name']]))
				$stanze[$stanza['name']] = $stanza;
			//--aggiungo alla lista prodotti in quella categoria
			if ($stanza['name']!="")
				$stanzeprod[$stanza['name']][] = $p['unirecid'];

			$stanza['name'] = htmlentities($row[26], ENT_QUOTES, "UTF-8");
			$stanza['name_en'] = htmlentities($row[27], ENT_QUOTES, "UTF-8");
			if ($stanza['name'] != "" && !isset ($stanze[$stanza['name']]))
				$stanze[$stanza['name']] = $stanza;
			//--aggiungo alla lista prodotti in quella categoria
			if ($stanza['name']!="")
				$stanzeprod[$stanza['name']][] = $p['unirecid'];



			
			$i++;
			//if ($i>20)
			//	break;
		}
		//------------articoli---------<

	}

	//------------categorie--------->
	echo "<h1>Categorie</h1>";
	//dprint_r($stanzeprod);
	//------------categorie---------<
	
	//die();
	//------------prodotti->categorie--------->
	
	$i=4;
	$i2=1;
	foreach ($cats as $category)
	{
		
		$category['unirecid']=$i++;
		$category['parent']=$idtipo;
		$c = $tablecats->xmltable->InsertRecord($category);
		echo ("<br />".$c['name']);
		foreach ($catprod[$category['name']] as $prodotto_in_categoria)
		{
			$tableprocats->xmltable->InsertRecord(array("unirecid"=>$i2++,"product"=>$prodotto_in_categoria,"category"=>$c['unirecid']));
		}
	}
	foreach ($stanze as $stanza)
	{
		$stanza['unirecid']=$i++;
		$stanza['parent']=$idstanza;
		$c = $tablecats->xmltable->InsertRecord($stanza);
		echo ("<br />".$c['name']);
		foreach ($stanzeprod[$stanza['name']] as $prodotto_in_categoria)
		{
			$tableprocats->xmltable->InsertRecord(array("unirecid"=>$i2++,"product"=>$prodotto_in_categoria,"category"=>$c['unirecid']));
		}
	}

	foreach ($materiali as $materiale)
	{
		$materiale['unirecid']=$i++;
		$materiale['parent']=$idmateriale;
		$c = $tablecats->xmltable->InsertRecord($materiale);
		echo ("<br />".$c['name']);
		foreach ($materialiprod[$materiale['name']] as $prodotto_in_categoria)
		{
			$tableprocats->xmltable->InsertRecord(array("unirecid"=>$i2++,"product"=>$prodotto_in_categoria,"category"=>$c['unirecid']));
		}
	}
	
	//------------prodotti->categorie---------<

	
	//------------prodotti->immagini--------->
	echo "<h1>IMMAGINI</h1>";
	foreach ($prodotti as $prod)
	{
		if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/"))
			mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/");

		
		//--foto1
		if (file_exists("$pathimages/{$prod['model']}.jpg"))
		{
			echo("<br />$pathimages/{$prod['model']}.jpg");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs");
			//$prod['photo1'] = "{$prod['model']}.jpg";
			$dest="{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/" . ($prod['photo1']);
			copy("$pathimages/" . ($prod['photo1']) . "", "{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/" . ($prod['photo1']));
		
			xmldb_create_thumb($dest, 250,250,250);
		}

		//--foto2
		if (file_exists("$pathimages/{$prod['model']}_01.jpg"))
		{
			echo("<br />$pathimages/{$prod['model']}_01.jpg");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo2/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo2/");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo2/thumbs");

			$dest="{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo2/" . ($prod['photo2']);
			//$prod['photo2'] = "{$prod['model']}_01.jpg";
			copy("$pathimages/{$prod['model']}_01.jpg", "{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo2/{$prod['model']}_01.jpg");
			xmldb_create_thumb($dest, 250,250,250);

		}
		
		//--foto3
		if (file_exists("$pathimages/{$prod['model']}_02.jpg"))
		{
			echo("<br />$pathimages/{$prod['model']}_02.jpg");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo3/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo3/");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo3/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo3/thumbs");

			//$prod['photo3'] = "{$prod['model']}_02.jpg";
			$dest="{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo3/" . ($prod['photo3']);
			copy("$pathimages/{$prod['model']}_02.jpg", "{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo3/{$prod['model']}_02.jpg");
			xmldb_create_thumb($dest, 250,250,250);
		}

	/*	$nval['unirecid']=$prod['unirecid'];
		$nval['photo1']=isset($prod['photo1'])?$prod['photo1']:"";
		$nval['photo2']=isset($prod['photo2'])?$prod['photo2']:"";
		$nval['photo3']=isset($prod['photo3'])?$prod['photo3']:"";
		
		$p = $tablepro->xmltable->UpdateRecord($nval);*/
		

	}
	//------------prodotti->immagini---------<

}
?>
